# Class IsHet

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.function.Function
org.snpsift.lang.function.FunctionBoolGenotype
org.snpsift.lang.function.IsHet

public class IsHet extends FunctionBoolGenotype
Is 'genotypeNum' heterozygous?

Author:
  pablocingolani

## Field Summary

### Fields inherited from class Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`IsHet(Expression exprIdx)`

## Method Summary

Modifier and Type
Method
Description
`Value`
`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
Evaluate expression using VcfEntry
`Value`
`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
Evaluate expression using genotype

### Methods inherited from class FunctionBoolGenotype

`evalGenotype, toString`

### Methods inherited from class Expression

`setNegated`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IsHet

public IsHet(Expression exprIdx)

## Method Details

### eval

public Value eval(org.snpeff.vcf.VcfEntry vcfEntry)
Description copied from class: `Expression`
Evaluate expression using VcfEntry

Specified by:
  `eval` in class `Expression`

### eval

public Value eval(org.snpeff.vcf.VcfGenotype vcfGenotype)
Description copied from class: `Expression`
Evaluate expression using genotype

Specified by:
  `eval` in class `Expression`